Skip to main content
GET
/
projects
/
{project_id}
/
user-access
List user access for a project
curl --request GET \
  --url {schemes}://api.upsun.com/projects/{project_id}/user-access \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "<string>",
      "project_id": "<string>",
      "project_title": "<string>",
      "permissions": [
        "admin"
      ],
      "granted_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "_links": {
        "self": {
          "href": "<string>"
        },
        "update": {
          "href": "<string>",
          "method": "<string>"
        },
        "delete": {
          "href": "<string>",
          "method": "<string>"
        }
      }
    }
  ],
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required

The ID of the project.

Query Parameters

page[size]
integer

Determines the number of items to show.

Required range: 1 <= x <= 200
page[before]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

page[after]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

sort
string

Allows sorting by a single field.
Use a dash ("-") to sort descending.
Supported fields: granted_at, updated_at.

Example:

"-updated_at"

Response

OK

items
object[]